package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName("V_RS_RLZY_FWRZ")
public class RsRlzyFwrzPO {

    @TableId(value = "rs_rlzy_fwrz_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_fwrz_lsh")
    private String rsrlzyfwrzlsh;     // 访问日志流水号

    @TableField(value = "rs_rlzy_target_lsh")
    private String rsrlzytargetlsh;   // 目标流水号

    @TableField(value = "rs_rlzy_source_lsh")
    private String rsrlzysourcelsh;   // 来源流水号

    @TableField(value = "type")
    private String type;   // 类型

    @TableField(value = "ts_op")
    private String tsop;   // 共享用工流水号

    @TableField(value = "ts_ot")
    private String tsot;   // 共享用工流水号

    public String getRsrlzyfwrzlsh() {
        return rsrlzyfwrzlsh;
    }

    public void setRsrlzyfwrzlsh(String rsrlzyfwrzlsh) {
        this.rsrlzyfwrzlsh = rsrlzyfwrzlsh;
    }

    public String getRsrlzytargetlsh() {
        return rsrlzytargetlsh;
    }

    public void setRsrlzytargetlsh(String rsrlzytargetlsh) {
        this.rsrlzytargetlsh = rsrlzytargetlsh;
    }

    public String getRsrlzysourcelsh() {
        return rsrlzysourcelsh;
    }

    public void setRsrlzysourcelsh(String rsrlzysourcelsh) {
        this.rsrlzysourcelsh = rsrlzysourcelsh;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTsop() {
        return tsop;
    }

    public void setTsop(String tsop) {
        this.tsop = tsop;
    }

    public String getTsot() {
        return tsot;
    }

    public void setTsot(String tsot) {
        this.tsot = tsot;
    }

    @Override
    public String toString() {
        return "RsRlzyFwrzPO{" +
                "rsrlzyfwrzlsh='" + rsrlzyfwrzlsh + '\'' +
                ", rsrlzytargetlsh='" + rsrlzytargetlsh + '\'' +
                ", rsrlzysourcelsh='" + rsrlzysourcelsh + '\'' +
                ", type='" + type + '\'' +
                ", tsop='" + tsop + '\'' +
                ", tsot='" + tsot + '\'' +
                '}';
    }
}


